/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>

void main()
{
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */
	
	uint8 i, junk;
	
	SPIM_Start();
	LCD_Char_Start();
	

    CYGlobalIntEnable; /* Uncomment this line to enable global interrupts. */
	
	SPIM_WriteTxData(0x00);
	SPIM_WriteTxData(0x30);
	SPIM_WriteTxData(0x80);
	SPIM_WriteTxData(0x55);  /*  Dummy Write to read from Slave  */
	
	LCD_Char_Position(0,0);
	
	for (i = 0; i < 3; i++ )  /*  The junk value obtained from the Slave thrice is taken out  */
	{
		junk = SPIM_ReadRxData();  /*  Read value from Rx buffer  */
	}
	
	LCD_Char_PrintHexUint8(SPIM_ReadRxData());  /*  The value read by SPI Master is displayed on LCD (4th value received)  */
	
    for(;;)
    {
        /* Place your application code here. */
    }
}

/* [] END OF FILE */
